/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on October 12, 2019, 9:42 PM
 */

//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
//------------------------------------------------------------------------------
#include "Lcd4.h"
#include "ds1307.h"
//------------------------------------------------------------------------------
unsigned char time[7];
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  RTC_init();
  LCD_init();
  
  while(1)
  {
    RTC_getDateTime(time);
    RTC_displayTime(0,0,time);
    RTC_displayDate(1,0,time);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------